#
# spec file for package jhead
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jhead
Version:        3.00
Release:        5.5
Summary:        Tool to Manipulate the Nonimage Part of EXIF Compliant JPEG Files
License:        SUSE-Public-Domain
Group:          Productivity/Graphics/Other
Url:            http://www.sentex.net/~mwandel/jhead/
Source0:        http://www.sentex.net/~mwandel/jhead/jhead-%{version}.tar.gz
Source1:        %{name}.changes
Requires:       %{_bindir}/jpegtran
Requires:       %{_bindir}/mogrify
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Jhead is a command line utility for extracting digital camera settings
from the EXIF format files used by many digital cameras. It handles the
various confusing ways these can be expressed and displays them as
F-stop, shutter speed, and more. It is also able to reduce the size of
digital camera JPEG files without loss of information by deleting
thumbnails that digital cameras put into the EXIF header.

%prep
%setup -q
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{SOURCE1}")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""

%build
make %{?_smp_mflags} CC="cc %{optflags} -D__DATE__=$DATE"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 755 jhead %{buildroot}%{_bindir}
install -m 644 jhead.1  %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%doc changes.txt readme.txt usage.html
%{_bindir}/*
%{_mandir}/man1/*.*

%changelog
* Mon Apr 27 2015 mpluskal@suse.com
- Update to version 3.00
  * Make max comment size 16000
  * Added "-zt" option to trim 32k of trailing zeroes from Nikon 1
    J2 and J3 images.
  * Add ability to reset invalid rotation tag (from Moultrie
    game cameras)
- Use url for source
- Cleanup spec file with spec-cleaner
* Sun Mar 10 2013 toganm@opensuse.org
- Update to version 2.97
  * Add feature to show quality of jpeg, (by Andy Spiegel)
  * Fix crash on some corrupt files bug, clarify time adjustment
    syntax in help
* Mon Jul  2 2012 toganm@opensuse.org
- Update to version 2.96
  * Fix printing file info when -ft option is used
  * Do not skip readonle files with -st option
* Tue Mar 20 2012 toganm@opensuse.org
- Updated to version 2.95
  * Handle very large unsigned rational numbers in exif header
* Fri Mar 16 2012 toganm@opensuse.org
- Fixed file-contains-date-and-time rpmlint warning. Date is set as
  last date in the changes file.
* Thu Mar 15 2012 toganm@opensuse.org
- Updated to version 2.93: For details please read changes.txt
  * Fixed bug in jhead -cmd that caused metatdata to be deleted.
* Wed Aug  5 2009 sbrabec@suse.cz
- Updated to version 2.87:
  * Added the ability to move files with the -n option.
  * Minor fixes.
* Mon Jan  5 2009 sbrabec@suse.cz
- Fixed arbitrary command vulnerability in DoCommand (bnc#435979,
  CVE-2008-4641).
- Fixed dependencies.
* Thu Oct 16 2008 sbrabec@suse.cz
- Updated to version 2.84:
  * Decode more exif tags for '-v' mode.
  * Fix a bunch of potential string overflows (bnc#435979,
    CVE-2008-4575)
  * Fix bug where IPTC sction was not deleted by -purejpg
  * Fix GPS altitude decode bug
* Mon Apr  7 2008 sbrabec@suse.cz
- Updated to version 2.82:
  * Make jhead aware of XMP data and not delete it.
  * Improve IPTC handling a little.
  * Change how date is encoded with -mkexif section to make it more
    compatible.
* Fri Nov 16 2007 sbrabec@suse.cz
- Updated to version 2.8:
  * Added IPTC handling
  * Added -q option
  * Fix handling of corrupted GPS directory.
  * Extract focus distance from canon makernote.
  * Extract subject range (pentax and fuji cameras)
* Mon Aug  6 2007 sbrabec@suse.cz
- Updated to version 2.7:
  * Remove maximum jpeg sections limit
  * Added -ds option
  * On clearing rotation, clear the image and the optional
    thumbnail rotation tags.
  * Add -mkexif option to make a new exif header.
* Sat Dec 16 2006 prusnak@suse.cz
- fixed comparison with string literal (strcmp.patch) [#226477]
* Fri Oct 20 2006 sbrabec@suse.cz
- Updated to version 2.6:
  * Compilation and bug fixes
  * Fix shutter speed display in '-c' mode for very long shutter
    speeds
  * Fix a bug in autorot when rotating filenames with spaces in
    them.
  * Improved handling of corrupt exif linkages in exif header.
  * Added -a (rename associated files) options.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 sbrabec@suse.cz
- Updated to version 2.5.
* Fri Jul 29 2005 sbrabec@suse.cz
- Updated to version 2.4.
* Tue Feb  8 2005 mcihar@suse.cz
- update to 2.3
* Fri Jul 16 2004 mcihar@suse.cz
- use fixed 2.2 tarball, so patch is not needed
* Wed Jul 14 2004 mcihar@suse.cz
- update to 2.2
* Tue Jan 27 2004 mcihar@suse.cz
- update to 2.1:
    This release changes the behavior of setting copied dates, adds the "-cl"
    option for inserting literal comments, adds the "-norot" option, and fixes
    the Unix Makefile.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Mon Aug 11 2003 mcihar@suse.cz
- requires jpegtran (used for -autorot)
* Fri Aug  8 2003 mcihar@suse.cz
- created new package
